# -*- coding: utf-8 -*-
"""
Program:
    Cute Thermowell
    (qt-thermowell)
    TWImageWidget.py
    
Author:
    Alex Borisov <>
     
Copyright (c) 2011 Alex Borisov

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from PyQt4.QtCore import *
from PyQt4.QtGui import *
import sys
import resources

class TWImageWidget(QDialog):
    def __init__(self, str_img = None,  parent = None):
        QDialog.__init__(self)
        
        self.str_img = str_img
        self.parent = parent

        win_icon = QIcon(":/myresources/icons/thermowell.ico")
        self.setWindowIcon(win_icon)
        self.setWindowTitle("Thermowell Type - Cute Thermowell")
        
        size_policy = QSizePolicy(QSizePolicy.Minimum, QSizePolicy.Fixed)
        size_policy.setHorizontalStretch(0)
        size_policy.setVerticalStretch(0)
        
        img = QImage(":/myresources/images/" + self.str_img)
        img_widget = QWidget(self)
        widget_size = img.size()
        size_policy.setHeightForWidth(img_widget.sizePolicy().hasHeightForWidth())
        img_widget.setSizePolicy(size_policy)
        img_widget.setMinimumSize(widget_size)
        img_widget.setStyleSheet(QString.fromUtf8("background-image: url(:/myresources/images/" + self.str_img + "); background-repeat:no-repeat; background-position: center;"))

        layout = QVBoxLayout(self)
        layout.sizeConstraint = QLayout.SetDefaultConstraint
        layout.addWidget(img_widget)

    def mousePressEvent(self, event):
        self.close()

        
